body {
    font-size: 14px !important;
    font-family: 'PingFang SC', 'Helvetica Neue', 'Helvetica', 'Arial', sans-serif;
    -webkit-text-size-adjust: none
}

#blog_nav_rss {
    display: none !important
}

#blog_nav_rss_image {
    display: none !important
}

#blog_nav_newpost {
    display: inline-block !important;
}

img {
    /*max-width: 300px !important;*/
    height: auto
}

div.commentform textarea {
    width: 373px;
    height: 160px;
    background-color: #12506E;
    border: 1px solid #666666;
}

.commentbox_title {
    width: auto
}

.comment_btn {
    background-color: #2C2E30;
}

#green_channel {
    width: 320px;
    border:1px solid #404040;
}

#cnblogs_post_body table[style] {
    width: auto !important;
    height: auto !important
}


#sidebar_search_box input[type=text] {
    width: 110px
}

#cnblogs_post_body table {
    display: block;
    overflow-x: scroll;
    border: 0px;
    -webkit-overflow-scrolling: regular;
}

#cnblogs_post_body th, #cnblogs_post_body td, .cnblogs-post-body th, .cnblogs-post-body td {
    white-space: nowrap;
    background-color: #006191
}

#cnblogs_post_body table::-webkit-scrollbar:horizontal {
    height: 12px
}

#cnblogs_post_body table::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    border-radius: 10px;
    background-color: #2c2e30
}

#cnblogs_post_body table::-webkit-scrollbar {
    width: 12px;
    background-color: #2c2e30
}

#cnblogs_post_body table::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background-color: #555
}

#cnblogs_c1, #cnblogs_c2 {
    text-align: center
}

#cnblogs_c2 {
    overflow: hidden
}

.commentform {
    margin-left: 10px
}

#main_content {
    float: none;
    margin-left: 0
}

#leftmenu {
    float: none;
    width: auto
}

#content {
    margin-left: 0
}

#content h2 {
    font-size: 16px
}

.post .postfoot {
    font-size: 12px
}

div.RecentComment {
    width: auto
}

body {
    font-size: 14px;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    margin: 0 20px 10px 20px;
    padding: 0 30px 10px;
    background-color: #0070A9;
}

img {
    border: 0
}

td {
    font-size: 14px
}

a {
    color: #70CFFF;
    text-decoration: none;
}

.blog_comment_body a {
    text-decoration: underline
}

a:hover {
    text-decoration: underline
}

#header h1 {
    margin: 0;
    padding-top: 5px;
    font-size: 1.8em;
    margin-left: 5px
}

#header h1 a:visited, #header h1 a:active, #header h1 a:link, #header h1 a:hover {
    color: #fff;
    margin-top: 10px;
    text-decoration: none
}

h2 {
    margin-top: 10px;
    font-size: 1em
}

h5 {
    margin: 0;
    padding: 0
}

#header {
}

#top {
    background-color: #20375f;
    height: 75px;
    vertical-align: middle;
    color: #ccc;
    padding-left: 10px
}

#top td {
    color: #ccc;
    width: 100%
}

#sub {
    text-align: right;
    background-color: #000;
    color: #ccc;
    font-size: 14px;
    padding: 4px;
    padding-left: 10px
}

.headermaintitle {
    font-family: "Trebuchet MS";
    padding-bottom: 10px;
    color: #ccc
}

#subtitle {
    color: #fff;
    font-size: 1em;
    margin-top: 10px;
    margin-left: 6px
}

p.date img {
    vertical-align: middle
}

p.date {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 0;
    padding: 2px 0;
    color: #aaa;
    text-align: right
}

p.date span {
    background-color: #fff
}

p.date a {
    color: #888;
    background-color: #2C2E30;
}

blockquote {
    background-color: #1D1F20;
    border: 0;
    border-left: 18px solid #ccc;
    padding: 4px;
    margin: 0
}

#leftmenu {
    float: left;
    left: 0;
    width: 190px;
    padding: 0;
    padding-bottom: 5px;
    padding-left: 5px;
    overflow: hidden;
    background-color: #006091;
    color: white
}

#leftmenu h3 {
    font-size: 20px;
    margin: 0;
    padding: 4px;
    border-bottom: 1px solid #444444;
    color: #75D0FF;
}

#leftmenu ul {
    list-style: none;
    margin: 5px;
    padding: 0;
    margin-left: 8px;
    margin-bottom: 5px;
    font-size: 13px
}

#leftmenu li {
    display: block;
    margin-bottom: 2px
}

#leftmenu a:active, #leftmenu a:visited, #leftmenu a:link {
    display: inline-block;
    color: #eee;
    text-decoration: none;
    margin-right: 0;
    padding: 0;
    text-shadow: 3px 3px 2px black;
    font-size: 15px;
}

#TopViewPostsBlock a:link {
    width: 180px;
    text-align: left;
}

#leftmenu a:hover {
    background-color: #0070a9;
    font-size:16px;
}

#main_container {
}

#main_content {
    float: right;
    margin-left: -200px;
    width: 100%
}

#content {
    margin-left: 194px;
    padding-right: 0;
    margin-right: 0;
    border-left: 1px solid #0083C4;
    border-bottom: 1px solid #0083C4;
    padding: 10px;
    background-color:#2C2E30;
    color:#70CFFF;
}

#content h2 {
    font-size: 20px;
}

#content h3 {
    font-size: 18px;
    padding-left: 10px;
    margin-left: 10px;
    margin-right: 10px
}

#content h4 {
    font-size: 16px;
    line-height: 1.5;
    font-weight: normal;
    padding-left: 10px;
    margin-left: 10px;
    margin-right: 10px
}

#content .post {
    font-size: 14px;
    line-height: 1.8;
    padding-left: 10px
}

#footer {
    margin: 0;
    padding-top: 5px;
    text-align: center;
    font-size: 14px;
    color: #c5c6c7;
}

input.text {
    width: 300px
}

textarea {
    width: 300px;
    height: 200px
}

#comments h4 span {
    color: #999
}

#comments h4 {
    margin: 0;
    font-size: .9em
}

p {
    margin: 0;
    margin-bottom: 14px
}

h3 {
    font-size: 1.2em;
    border-bottom: 1px solid #444444
}

#relatedlinks ul {
    list-style: none;
    margin-left: 10px;
    padding: 0
}

.post {
    border: 1px solid #6688aa;
    border-bottom-width: 2px;
    border-right-width: 2px;
    padding: 4px;
    margin-bottom: 28px;
}

.postbody a {
    color: #70CFFF;
}

.post h5, .post h2 {
    font-size: 14px;
    margin: 0;
    margin-bottom: 4px
}

.post .postfoot {
    margin: 0;
    margin-top: 14px;
    color: #fff;
    border-top: 1px solid #26b7ff;
    font-size: 14px;
}

pre {
    margin: 0;
    margin-left: 22px;
    font-size: 1em
}

.Textbox, textarea {
    border: 1px solid #aaa;
    width: 100%
}

.button {
    border: 1px solid #aaa;
    background-color: #ccd4e0
}

input, textarea {
    font-family: Verdana, Geneva, Arial, Sans-Serif;
    font-size: 14px;
    border: 1px solid #666666;
}

.Framework {
    border: 1px solid #000;
    background-color: #eee;
    width: 100%
}

.MainCell {
}

.LeftCell {
    width: 200px;
    vertical-align: top
}

.FooterCell {
    vertical-align: top
}

.commentTextBox {
    font-size: 14px;
    font-family: Arial
}

.Cal {
    border: 0 solid #999;
    width: 180px;
    font-family: Arial;
    font-size: 13px;
    margin-top: 10px;
    margin-bottom: 10px;
    height: 180px;
    margin-left: 0
}

.CalTitle {
    font-family: Arial;
    font-size: 14px;
    color: #ffffff;
    margin-left: 0;
    padding: 0;
    height: 100%;
    font-weight: bold
}

.CalOtherMonthDay {
    color: gray
}

.CalSelector {
}

.CalNextPrev {
}

.CalDayHeader {
    background-color: #006091;
}

.CalSelectedDay {
}

.CalWeekendDay {
}

.CalTodayDay {
    color: blue;
    font-weight: bolder
}

p {
    margin-top: 0;
    margin-bottom: 0
}

blockquote {
    width: 80%
}

div.RecentComment {
    width: 180px
}

#profile_block {
    margin-left: 25px
}

.two_words {
    letter-spacing: 12px
}

#myposts h3 {
    padding: 5px 0;
    margin: 0
}

.input_my_zzk {
    width: 110px;
    vertical-align: middle;
    height: 20px;
    background-color: #12506e;
}

input.btn_my_zzk {
    vertical-align: middle;
    height: 22px;
    font-size: 12px;
    padding-left: 5px;
    padding-right: 5px;
    background-color: #006091;
    color: #70CFFF;
    border: 1px solid #0083C4;
}

element.style {
    padding: 5px;
    border: 0px;
    background-color: #1b1d1e;
}

/* ----------分割线--------------- */
#header{display:none;} /* 将默认的导航头屏蔽掉，这样才能把自己的导航栏加上去 */

/* 定制自己导航栏的样式 */
#shwtop ul {
    padding: 0;
    list-style-type: none; /*去除li前的标注*/
    background-color: #006091
}
#shwtop li {
    float: down; 
}
#shwtop li a, .dropbtn {
    display: inline-block; /*设置成块 上方导航栏*/
    color: white;
    text-align: center;
    text-decoration: none;
    padding: 14px 16px;
}
/*鼠标移上去，改变背景颜色*/
#shwtop li a:hover, .dropdown:hover .dropbtn { 
    background-color: #0079b5;
}
#shwtop .dropdown {
    /*
    display:inline-block将对象呈递为内联对象，
    但是对象的内容作为块对象呈递。
    旁边的内联对象会被呈递在同一行内，允许空格。
    */
    display: inline-block;
}
#shwtop .dropdown-content {
    display: none;
    position: absolute;
    background-color: #006091;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}
#shwtop .dropdown-content a {
    display: block;
    color: white;
    padding: 8px 10px;
    text-decoration:none;
}
#shwtop .dropdown-content a:hover {
    background-color: #0079b5;
}
#shwtop .dropdown:hover .dropdown-content{
    display: block;
}

.c_b_p_desc {
    word-wrap: break-word;
    word-break: break-all;
    overflow: hidden;
    line-height: 1.5;
    color:#3EB3FF;
}

/*done*/
.cnblogs_code_toolbar a:hover, .cnblogs_code_toolbar a:link, .cnblogs_code_toolbar a:visited, .cnblogs_code_toolbar a:active, .cnblogs_code_toolbar a:link img, .cnblogs_code_toolbar a:visited img {
    background-color: transparent;
    border: none!important;
}

.cnblogs_code div {
    background-color: transparent;
}

#blogCalendar, td {
    background-color: #006191;
    color: white;
}

div.commentform input.author {
    background-position: 3px -3px;
    background-color: #12506E;
    border: 1px solid #666666;
}

#div_digg{
    display: none;
}

/*
 代码高亮开始，使用了一个叫Monokai Sublime的黑色主题皮肤，直接拿过来还不行，有一些样式冲突，还要自己稍微改一些地方
Monokai Sublime style. Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/
pre {
/*控制代码不换行*/
    white-space: pre;
    word-wrap: normal;
}
.cnblogs-markdown .hljs {
    display: block;
    overflow-x: auto;
    padding: 0.5em;
    background: #23241f !important;
    color: #bdbdbd;
    white-space: pre;
    word-break: normal;
}

.cnblogs-markdown code{
    overflow-x: auto;
    padding: 0.5em;
    background: #23241f !important;
    color: #bdbdbd;
    white-space: pre;
    word-break: normal;
    border: 1px solid #23241f !important;
}

.hljs,
.hljs-tag,
.hljs-subst {
  color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
  color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
  color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
  color: #a6e22e;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
  color: #f92672;
}

.hljs-symbol,
.hljs-attribute {
  color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
  color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
  color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
  color: #75715e;
}

/*黑色主题皮肤结束*/